Freeciv-3.2: packet_edit_city Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_edit_city Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
char | name [MAX_LEN_CITYNAME]
int | owner
int | original
int | size
int | history
int | ppl_happy [5]
int | ppl_content [5]
int | ppl_unhappy [5]
int | ppl_angry [5]
int | specialists_size
int | specialists [SP_MAX]
int | food_stock
int | shield_stock
bool | airlift
bool | debug
bool | did_buy
bool | did_sell
bool | was_happy
bool | had_famine
int | anarchy
int | rapture
int | steal
int | turn_founded
int | turn_last_built
int | built [B_LAST]
int | production_kind
int | production_value
bv_city_options | city_options

## Detailed Description

Definition at line 1760 of file packets_gen.h.

## Field Documentation

## ◆ airlift

bool packet_edit_city::airlift

Definition at line 1775 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ anarchy

int packet_edit_city::anarchy

Definition at line 1781 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ built

int packet_edit_city::built[B_LAST]

Definition at line 1786 of file packets_gen.h.

Referenced by handle_edit_city(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_city_100().

## ◆ city_options

bv_city_options packet_edit_city::city_options

Definition at line 1789 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ debug

bool packet_edit_city::debug

Definition at line 1776 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ did_buy

bool packet_edit_city::did_buy

Definition at line 1777 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ did_sell

bool packet_edit_city::did_sell

Definition at line 1778 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ food_stock

int packet_edit_city::food_stock

Definition at line 1773 of file packets_gen.h.

Referenced by handle_edit_city(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_city_100().

## ◆ had_famine

bool packet_edit_city::had_famine

Definition at line 1780 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ history

int packet_edit_city::history

Definition at line 1766 of file packets_gen.h.

Referenced by handle_edit_city(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_city_100().

## ◆ id

int packet_edit_city::id

Definition at line 1761 of file packets_gen.h.

Referenced by handle_edit_city(), objbind_pack_current_values(), and receive_packet_edit_city_100().

## ◆ name

char packet_edit_city::name[MAX_LEN_CITYNAME]

Definition at line 1762 of file packets_gen.h.

Referenced by handle_edit_city(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_city_100().

## ◆ original

int packet_edit_city::original

Definition at line 1764 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ owner

int packet_edit_city::owner

Definition at line 1763 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ ppl_angry

int packet_edit_city::ppl_angry[5]

Definition at line 1770 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ ppl_content

int packet_edit_city::ppl_content[5]

Definition at line 1768 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ ppl_happy

int packet_edit_city::ppl_happy[5]

Definition at line 1767 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ ppl_unhappy

int packet_edit_city::ppl_unhappy[5]

Definition at line 1769 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ production_kind

int packet_edit_city::production_kind

Definition at line 1787 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ production_value

int packet_edit_city::production_value

Definition at line 1788 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ rapture

int packet_edit_city::rapture

Definition at line 1782 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ shield_stock

int packet_edit_city::shield_stock

Definition at line 1774 of file packets_gen.h.

Referenced by handle_edit_city(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_city_100().

## ◆ size

int packet_edit_city::size

Definition at line 1765 of file packets_gen.h.

Referenced by handle_edit_city(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_city_100().

## ◆ specialists

int packet_edit_city::specialists[SP_MAX]

Definition at line 1772 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ specialists_size

int packet_edit_city::specialists_size

Definition at line 1771 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ steal

int packet_edit_city::steal

Definition at line 1783 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ turn_founded

int packet_edit_city::turn_founded

Definition at line 1784 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ turn_last_built

int packet_edit_city::turn_last_built

Definition at line 1785 of file packets_gen.h.

Referenced by send_packet_edit_city_100().

## ◆ was_happy

bool packet_edit_city::was_happy

Definition at line 1779 of file packets_gen.h.

Referenced by send_packet_edit_city_100().